<div id="referral" class="user-panel-tab-view mb-4 panelBar">
    <div class="shadow-sm rounded overflow-hidden  bg-white">

        <div class="title-section ">
            <div class="d-flex p-4 border-bottom">
                <div class="p-2">
                    <h5 class="mb-0 ml-2">
                        Refer Dealday to your friend, get 500 Naira in return
                    </h5>
                </div>
            </div>
        </div>

        <div class="container mt-4 mb-4">
            <div class="col-12">

                <p class="text-black">Earn 500 Naira in your wallet for every referral that makes a purchase.</p>
                <div class="card d-flex justify-content-center referral_share_card p-5">
                    <div class="form-group w-100 m-0">
                        <div class="input-group">
                            <input type="text" class="custom-form2 form-control" id="ReferredUrl"
                                [(ngModel)]="_DataService.shareReferralUrl" readonly />
                            <div class="input-group-append">
                                <span class="input-group-text d-flex justify-content-end cursor-pointer"
                                    id="basic-addon2">
                                    <img src="assets/images/file-copy.svg"
                                        (click)="copytoClipboard(_DataService.shareReferralUrl)" />
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-flex flex-column align-items-center justify-content-center my-3">
                    <p class="text-black">or</p>
                    <div class="edit-referral-code d-flex justify-content-center align-items-center mb-3 cursor-pointer"
                        (click)="OpenEditModal(editReferralModal)">
                        Customise referral code
                        <svg class="ml-2" width="16" height="17" viewBox="0 0 16 17" fill="none"
                            xmlns="http://www.w3.org/2000/svg">
                            <path opacity="0.3"
                                d="M3.33325 12.5537V13.167H3.94659L9.98659 7.127L9.37325 6.51367L3.33325 12.5537Z"
                                fill="#777E90" />
                            <path
                                d="M13.8067 5.19333C14.0667 4.93333 14.0667 4.51333 13.8067 4.25333L12.2467 2.69333C12.1133 2.56 11.9467 2.5 11.7733 2.5C11.6 2.5 11.4333 2.56667 11.3067 2.69333L10.0867 3.91333L12.5867 6.41333L13.8067 5.19333ZM2 12V14.5H4.5L11.8733 7.12667L9.37333 4.62667L2 12ZM3.94667 13.1667H3.33333V12.5533L9.37333 6.51333L9.98667 7.12667L3.94667 13.1667Z"
                                fill="#777E90" />
                        </svg>
                    </div>
                    <p class="text-black">or share</p>
                    <share-buttons theme="circles-dark" [include]="['facebook', 'whatsapp', 'twitter']"
                        [showIcon]="true" [url]="_DataService.shareReferralUrl"></share-buttons>
                </div>
            </div>
        </div>
    </div>
</div>

<ng-template #editReferralModal let-modal>
    <div class="modal-content tuc-edit-referral-modal-body pb-5" id="referral_modal">
        <button type="button" class="close text-right mt-2" data-dismiss="modal" aria-label="Close"
            (click)="modal.close('Cancel click')">
            <span aria-hidden="true">&times;</span>
            &nbsp;&nbsp;
        </button>

        <div class="modal-body">
            <div class="container mb-4 mt-4">
                <div class="contentlabel text-center">
                    <h4 class="f-20">Edit Referral</h4>
                    <p class="f-14">Customize referral code</p>
                </div>
                <div class="fields w-75 m-auto">
                    <div class="my-5">
                        <input type="text" name="" id="shareReferralCode" class="form-control" minlength="6"
                            [(ngModel)]="editReferralCode" onpaste="return false;"
                            oninput="this.value=this.value.replace(/[^a-zA-Z0-9]/g,'');">
                    </div>
                    <div class="mt-4">
                        <button class="btn btn-block btnbg" *ngIf="!_HelperService.IsProcessing"
                            (click)="EditReferralCode()">Save</button>
                        <button class="btn btn-block btnbg" disabled *ngIf="_HelperService.IsProcessing">Please
                            wait...</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ng-template>